headless lms

Cancel an event you run

POST /api/member/events/{eventId}/cancel. Cancel an event you run. Headless LMS Events API reference.

POST
/api/member/events/{eventId}/cancel

Requires events:write. Canceling is final. 409 canceled when it is already canceled.

Path Parameters

eventId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/member/events/string/cancel"
{  "orgId": "string",  "id": "string",  "type": "event",  "title": "string",  "description": "string",  "thumbnailAssetId": "string",  "status": "draft",  "startsAt": "2019-08-24T14:15:22Z",  "endsAt": "2019-08-24T14:15:22Z",  "timeZone": "string",  "location": {    "venue": {      "name": "string",      "address": {        "line1": "string",        "line2": "string",        "city": "string",        "region": "string",        "postalCode": "string",        "country": "string"      }    },    "online": {      "url": "http://example.com",      "details": "string"    }  },  "recording": {    "url": "http://example.com",    "details": "string"  },  "settings": {    "type": "public",    "capacity": 1,    "notifications": true,    "replay": true  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "thumbnailUrl": "string"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}